> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /invoices/{id}

GET https://api.merge.dev/api/accounting/v1/invoices/{id}

Returns an `Invoice` object with the given `id`.

Reference: https://docs.merge.dev/merge-unified/accounting/common-models/invoices/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `accounting_period`, `applied_credit_notes`, `applied_payments`, `applied_vendor_credits`, `company`, `contact`, `employee`, `line_items`, `payment_term`, `payments`, `purchase_orders`, `sales_orders`, `tracking_categories`
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_remote_fields` (boolean, optional) — Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
- `remote_fields` (enum, optional) — Deprecated. Use show_enum_origins.
  - Allowed values: `type`
- `show_enum_origins` (enum, optional) — A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
  - Allowed values: `type`

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `type` (enum, optional, nullable) — Whether the invoice is an accounts receivable or accounts payable. If `type` is `ACCOUNTS_PAYABLE`, the invoice is a bill. If `type` is `ACCOUNTS_RECEIVABLE`, it is an invoice. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=type` to receive the integration's own value instead.
  - Allowed values: `ACCOUNTS_RECEIVABLE`, `ACCOUNTS_PAYABLE`
- `contact` (string, optional, nullable) — The invoice's contact.
- `number` (string, optional, nullable) — The invoice's number.
- `issue_date` (datetime, optional, nullable) — The invoice's issue date.
- `due_date` (datetime, optional, nullable) — The invoice's due date.
- `paid_on_date` (datetime, optional, nullable) — The invoice's paid date.
- `memo` (string, optional, nullable) — The invoice's private note.
- `company` (string, optional, nullable) — The company the invoice belongs to.
- `employee` (string, optional, nullable) — The employee this overall transaction relates to.
- `currency` (enum, optional, nullable) — The invoice's currency. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `exchange_rate` (string, optional, nullable) — The invoice's exchange rate.
- `payment_term` (string, optional, nullable) — The payment term that applies to this transaction.
- `total_discount` (double, optional, nullable) — The total discounts applied to the total cost.
- `sub_total` (double, optional, nullable) — The total amount being paid before taxes.
- `status` (enum, optional, nullable) — The status of the invoice.
  - Allowed values: `PAID`, `DRAFT`, `SUBMITTED`, `PARTIALLY_PAID`, `OPEN`, `VOID`
- `total_tax_amount` (double, optional, nullable) — The total amount being paid in taxes.
- `total_amount` (double, optional, nullable) — The invoice's total amount.
- `balance` (double, optional, nullable) — The invoice's remaining balance.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's invoice entry was updated.
- `tracking_categories` (list of string, optional)
- `accounting_period` (string, optional, nullable) — The accounting period that the Invoice was generated in.
- `purchase_orders` (list of string, optional)
- `sales_orders` (list of string, optional)
- `payments` (list of string, optional) — Array of `Payment` object IDs.
- `applied_payments` (list of string, optional) — A list of the Payment Applied to Lines common models related to a given Invoice, Credit Note, or Journal Entry.
- `line_items` (list of InvoiceLineItem, optional)
- `applied_credit_notes` (list of CreditNoteApplyLineForInvoice, optional) — `CreditNoteApplyLines` applied to the Invoice.
- `applied_vendor_credits` (list of VendorCreditApplyLineForInvoice, optional) — `VendorCreditApplyLines` applied to the Invoice.
- `inclusive_of_tax` (boolean, optional, nullable) — If the transaction is inclusive or exclusive of tax. `True` if inclusive, `False` if exclusive.
- `invoice_url` (string, optional, nullable) — The 3rd party URL of the invoice.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (InvoiceFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)
- `remote_fields` (list of RemoteField, optional)

## Types

### InvoiceLineItem

# The InvoiceLineItem Object ### Description The `InvoiceLineItem` object represents an itemized record of goods and/or services sold to a customer. ### Usage Example Fetch from the `GET Invoice` endpoint and view the invoice's line items.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `description` (string, optional, nullable) — The line item's description.
- `unit_price` (double, optional, nullable) — The line item's unit price.
- `quantity` (double, optional, nullable) — The line item's quantity.
- `total_amount` (double, optional, nullable) — The line item's total amount.
- `employee` (string, optional, nullable) — The employee this overall transaction relates to.
- `project` (string, optional, nullable)
- `contact` (string, optional, nullable) — The invoice's contact.
- `currency` (enum, optional, nullable) — The line item's currency. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `exchange_rate` (string, optional, nullable) — The line item's exchange rate.
- `item` (string, optional, nullable)
- `account` (string, optional, nullable)
- `tax_rate` (string, optional, nullable) — The tax rate that applies to this line item.
- `tracking_categories` (list of string, optional) — The invoice line item's associated tracking categories.
- `company` (string, optional, nullable) — The company the invoice belongs to.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `is_billable` (boolean, optional, nullable) — Indicates if the line item can be charged to the client/customer.
- `field_mappings` (InvoiceLineItemFieldMappings, optional, nullable)
- `remote_fields` (list of RemoteField, optional)
- `tracking_category` (string, optional, nullable, deprecated)

### CreditNoteApplyLineForInvoice

# The CreditNoteApplyLine Object ### Description The `CreditNoteApplyLine` is attached to the CreditNote model. ### Usage Example Fetch from the `GET CreditNote` endpoint and view the invoice's applied to lines.

- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `credit_note` (string, optional, nullable)
- `applied_date` (datetime, optional, nullable) — Date that the credit note is applied to the invoice.
- `applied_amount` (string, optional, nullable) — The amount of the Credit Note applied to the invoice.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### VendorCreditApplyLineForInvoice

# The VendorCreditApplyLine Object ### Description The `VendorCreditApplyLine` object is used to represent a applied vendor credit. ### Usage Example Fetch from the `GET VendorCredit` endpoint and view the vendor credit's applied to lines.

- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `vendor_credit` (string, optional, nullable)
- `applied_date` (datetime, optional, nullable) — Date that the vendor credit is applied to the invoice.
- `applied_amount` (string, optional, nullable) — The amount of the VendorCredit applied to the invoice.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### InvoiceFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### RemoteField

- `remote_field_class` (RemoteFieldClass, required)
- `value` (map from string to any, optional)

### InvoiceLineItemFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteFieldClass

- `id` (string, optional)
- `display_name` (string, optional)
- `remote_key_name` (string, optional)
- `description` (string, optional)
- `is_custom` (boolean, optional)
- `is_common_model_field` (boolean, optional)
- `is_required` (boolean, optional)
- `field_type` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `field_format` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `field_choices` (list of string, optional)
- `item_schema` (ItemSchema, optional)

### ItemSchema

- `item_type` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `item_format` (enum, optional)
  - Allowed values: `string`, `number`, `date`, `datetime`, `bool`, `list`
- `item_choices` (list of string, optional)

## Examples

**Response**

```json
{
  "id": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
  "remote_id": "990110",
  "created_at": "2021-09-15T00:00:00Z",
  "modified_at": "2021-10-16T00:00:00Z",
  "type": "ACCOUNTS_RECEIVABLE",
  "contact": "022a2bef-57e5-4def-8ed2-7c41bd9a5ed8",
  "number": "AIQ12546",
  "issue_date": "2020-03-31T00:00:00Z",
  "due_date": "2020-04-15T00:00:00Z",
  "paid_on_date": "2020-04-01T00:00:00Z",
  "memo": "Weekly Payment",
  "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
  "employee": "7442f0d5-722d-45bd-b807-6e38489d37fe",
  "currency": "USD",
  "exchange_rate": "2.9",
  "payment_term": "89d329de-825f-4ac6-8369-3c58b4e68bee",
  "total_discount": 1.1,
  "sub_total": 100,
  "status": "DRAFT",
  "total_tax_amount": 5,
  "total_amount": 105,
  "balance": 105,
  "remote_updated_at": "2020-04-01T00:00:00Z",
  "tracking_categories": [
    "7dc5ca17-d311-44cd-9ce0-333080367a18",
    "6aa0700c-48e1-4c4a-8162-02e6a582df05",
    "8c933d61-8f5b-4360-ac0c-c9dc87bee763"
  ],
  "accounting_period": "7dc5ca17-d311-44cd-9ce0-333080367a18",
  "purchase_orders": [
    "e7378d8f-3992-4c2a-8417-ebdc4f2bfeb7",
    "dd70ca2f-b120-46fa-889a-9604037f45fd",
    "889b281d-739c-4759-95b8-0aedb3947131"
  ],
  "sales_orders": [
    "e7378d8f-3992-4c2a-8417-ebdc4f2bfeb7",
    "dd70ca2f-b120-46fa-889a-9604037f45fd",
    "889b281d-739c-4759-95b8-0aedb3947131"
  ],
  "payments": [
    "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
  ],
  "applied_payments": [
    "9017594e-dc33-4113-a5d2-b0f928e34fdd"
  ],
  "line_items": [
    {
      "remote_id": "8765432",
      "description": "Pickleball lessons",
      "unit_price": 50,
      "quantity": 1,
      "total_amount": 50,
      "employee": "7442f0d5-722d-45bd-b807-6e38489d37fe",
      "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
      "contact": "908934-49j9-093f-0989-908923908",
      "currency": "USD",
      "exchange_rate": "2.9",
      "item": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
      "account": "cd0f32d4-a493-11ec-b909-0242ac120002",
      "tax_rate": "a12e7c20-1922-9df7-s75n-edfeewnn7384",
      "tracking_categories": [
        "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
        "9b840d2-686a-465a-8a8e-7b028498f8e4",
        "a47e11b6-c73b-4a0c-be31-130fc48177fa"
      ],
      "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
      "is_billable": true,
      "remote_data": [
        {
          "data": [
            "Varies by platform"
          ],
          "path": "/actions"
        }
      ]
    }
  ],
  "applied_credit_notes": [
    {
      "credit_note": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
      "applied_date": "2020-03-31T00:00:00Z",
      "applied_amount": "2.9"
    }
  ],
  "applied_vendor_credits": [
    {
      "vendor_credit": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
      "applied_date": "2020-03-31T00:00:00Z",
      "applied_amount": "2.9"
    }
  ],
  "inclusive_of_tax": true,
  "invoice_url": "https://qbo.intuit.com/app/invoice/990110",
  "remote_was_deleted": true,
  "field_mappings": {
    "organization_defined_targets": {
      "custom_key": "custom_value"
    },
    "linked_account_defined_targets": {
      "custom_key": "custom_value"
    }
  },
  "remote_data": [
    {
      "path": "/actions",
      "data": null
    }
  ],
  "remote_fields": [
    {
      "remote_field_class": {
        "id": "string",
        "display_name": "string",
        "remote_key_name": "string",
        "description": "string",
        "is_custom": true,
        "is_common_model_field": true,
        "is_required": true,
        "field_type": "string",
        "field_format": "string",
        "field_choices": [
          "string"
        ],
        "item_schema": {
          "item_type": "string",
          "item_format": "string",
          "item_choices": [
            "string"
          ]
        }
      },
      "value": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/invoices/id"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/invoices/id?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```